package com.kt.ai.exception;

/**
 * AI Service 공통 예외
 *
 * @author AI Service Team
 * @since 1.0.0
 */
public class AIServiceException extends RuntimeException {
    private final String errorCode;

    public AIServiceException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public AIServiceException(String errorCode, String message, Throwable cause) {
        super(message, cause);
        this.errorCode = errorCode;
    }

    public String getErrorCode() {
        return errorCode;
    }
}
